Subject: ADDING MODULES

From: Cortelli Paolo <[email-masked]>
Date: Fri, 03 Dec 1999 08:51:53 +0100

Hello,
      I'm using Beta 3.3 for Windows.

      if there is a mistake in the arity in the module definition (I put
cls/1 in place of cls/0), then there are these problems:
1) at the first call to another predicate you find an error on cls which is
   not used by that predicate
2) if I repeat the query with the module name, it's ok.
3) if I repeat again without the module name, this time it's ok
4) my error also influenced visibility: local predicates were accessible
   without the module name.

   Best regards.                             Paolo Cortelli
							[email-masked]